de.esprit.netsuite.server.coserver

## Class NetworkConfig

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.coserver.NetworkConfig

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, ServerObject<ServerContext>

      public class NetworkConfig
      extends AbstractServerObject<ServerContext>

  This class encapsulates the entries in the co-servers configuration file
  Author:
    Rainer Buesch
  See Also:
    `ServerFiles.NETWORK_CFG`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkConfig(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerHost` | `fetchServerHostByName(java.lang.String serverName)`
    `ServerHost[]` | `getCoClientEntries()`
    `java.util.List<ServerHost>` | `getConfiguredServerHosts()` Returns all `ServerHost`s defined in the network config file
    `ServerHost[]` | `getCoServerEntries()`
    `int` | `getPortNumberForServer(java.lang.String srvName)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `getServerConfig, getServerContext, getServerParams, getServerStartup, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationConfig, getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkConfig

          public NetworkConfig(ServerContext serverCtx)
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### fetchServerHostByName

          public final ServerHost fetchServerHostByName(java.lang.String serverName)
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getConfiguredServerHosts

          public final java.util.List<ServerHost> getConfiguredServerHosts()

      Returns all `ServerHost`s defined in the network config file

    - #### getCoClientEntries

          public final ServerHost[] getCoClientEntries()

    - #### getCoServerEntries

          public final ServerHost[] getCoServerEntries()

    - #### getPortNumberForServer

          public final int getPortNumberForServer(java.lang.String srvName)
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2012 EsprIT-Systems. All Rights Reserved.